# notation-plugin-framework-go

[![Build Status](https://github.com/notaryproject/notation-plugin-framework-go/actions/workflows/build.yml/badge.svg?event=push&branch=main)](https://github.com/notaryproject/notation-plugin-framework-go/actions/workflows/build.yml?query=workflow%3Abuild+event%3Apush+branch%3Amain)
[![Codecov](https://codecov.io/gh/notaryproject/notation-plugin-framework-go/branch/main/graph/badge.svg)](https://codecov.io/gh/notaryproject/notation-plugin-framework-go)
[![Go Reference](https://pkg.go.dev/badge/github.com/notaryproject/notation-plugin-framework-go.svg)](https://pkg.go.dev/github.com/notaryproject/notation-plugin-framework-go@main)

notation-plugin-framework-go contains framework or library required to create notation plugins as per [Notary Project specifications](https://github.com/notaryproject/specifications).

Please visit [README](https://github.com/notaryproject/.github/blob/main/README.md) to know more about Notary Project.

> [!NOTE]
> The Notary Project documentation is available [here](https://notaryproject.dev/docs/).

## Table of Contents

- [Documentation](#documentation)
- [Example Plugins](#example-plugins)
- [Code of Conduct](#code-of-conduct)
- [License](#license)

## Documentation

Library documentation is available at [Go Reference](https://pkg.go.dev/github.com/notaryproject/notation-plugin-framework-go).

## Example Plugins

- [Signature generator](example/signaturegenerator/)
- [Envelope generator](example/envelopegenerator/)

## Code of Conduct

This project has adopted the [CNCF Code of Conduct](https://github.com/cncf/foundation/blob/master/code-of-conduct.md). See [CODE_OF_CONDUCT.md](CODE_OF_CONDUCT.md) for further details.

## License

This project is covered under the Apache 2.0 license. You can read the license [here](LICENSE).
